/* buffer.c */
/*
   The macros below should work fine for reading only.
*/

struct buffer_head *cbm_bread (struct super_block *sb, int block);
struct buffer_head *cbm_getblk (struct super_block *sb, int block);
void cbm_brelse (struct buffer_head *bh);
void cbm_mark_buffer_dirty (struct super_block *sb,
	 struct buffer_head *bh,
	 int dirty_val);
void cbm_set_uptodate (struct super_block *sb,
	 struct buffer_head *bh,
	 int val);
int cbm_is_uptodate (struct super_block *sb, struct buffer_head *bh);
void cbm_ll_rw_block (struct super_block *sb, int opr,
	int nbreq, struct buffer_head *bh[32]);
